%global commit e1ead6b73b2fa14e7baaa855c3e47b078020b4f8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20231205


%global github_name pysensors
%global _description\
Python binding for the lm_sensors C library.


Name:           python-%{github_name}
Version:        0.1
Release:        1.git%{gitdate}%{?dist}
Summary:        Easily control your hardware sensors (temperature, fan speed, etc.) with a simple Python API.

License:        BSD
URL:            https://github.com/bastienleonard
Source0:        %{url}/%{github_name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz


%description %_description


%package -n python3-%{github_name}
Summary:        %{summary}
BuildRequires:  gcc
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  lm_sensors-devel
Requires:       lm_sensors-libs

%generate_buildrequires
%pyproject_buildrequires -r

%description -n python3-%{github_name}
%_description

%prep
%autosetup -p1 -n %{github_name}-%{commit}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sensors

%files -n python3-%{github_name} -f %{pyproject_files}
%doc README.md
%doc examples/*.py
%license LICENSE.txt

%changelog
* Tue Dec 05 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1-1.git20231205
- Add update_gh_pages.sh script

* Sun Jun 26 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1-1.git20211110
- Init

